Bug 728975 - xfce-workspace switcher number of rows ignored when "Show miniature view enabled"
Summary: xfce-workspace switcher number of rows ignored when "Show miniature view enab...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-panel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 756563 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 14:26 UTC by vaxon
Modified: 2015-06-30 00:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:33:59 UTC


Attachments (Terms of Use)

Description vaxon 2011-08-08 14:26:40 UTC
Description of problem: xfce-workspace switcher number of rows setting is ignored when "Show miniature view enabled".

Version-Release number of selected component (if applicable):
xfce-panel 4.8.5

How reproducible:
Always

Steps to Reproduce:
1.Add Workspace Switcher to the panel.
2.Right-click Workspace Switcher and choose properties.
3.In the properties window choose any number of rows greater than 1.
4.Enable "Show miniature view" in the checkbox below
  
Actual results:
There's always one row of workspaces displayed, no matter what the actual "number of rows" setting is for the miniature view.

Expected results:
The number of rows set in the properties displayed on the panel.


Additional info:
The same settings used to work fine in gnome2. I'd expect it to work in xfce as well.

Comment 1 Kevin Fenzi 2011-08-09 21:16:43 UTC
Could this be: 

https://bugzilla.xfce.org/show_bug.cgi?id=6961

Comment 2 vaxon 2011-08-10 12:47:37 UTC
(In reply to comment #1)
> Could this be: 
> 
> https://bugzilla.xfce.org/show_bug.cgi?id=6961

Yes, that's it.
Thanks, Kevin, for looking into this.

It's not quite clear though whether there gonna be any actions taken to fix this.
It works fine with the workspase switcher in gnome2. I was going to switch to xfce in f15 and was kind of upset to find the number of rows feature not working, as I'm used to having 8 workspaces in 2 rows.

Is the https://bugzilla.gnome.org/show_bug.cgi?id=635341 going to be
reopened?
Or is it possible to fix it the other way around?

Thanks,
Val.

Comment 3 vaxon 2011-08-10 13:35:46 UTC
More info:
Restarting the panel after changing the settings seems to workaround the issue.

I've tried the following steps:
1. Killed the panel from the console:
[vaxon@localhost ~]$ xfce4-panel -q

2. Started the panel from the console:
[vaxon@localhost ~]$ xfce4-panel &
[1] 2838
[vaxon@localhost ~]$ (xfce4-mixer-plugin:2839): xfce4-mixer-plugin-DEBUG: mixer_plugin->track_label = 'Master'

3. Tried to set 2 rows in the properties, which didn't affect the number of rows displayed and produced the following console output:

libpager-Message: Failed to set the number of pager rows. You probably have more than 1 pager in your panel setup.

4. Closed the properties window and killed the panel from the console:
[vaxon@localhost ~]$ xfce4-panel -q
[1]   Done                    xfce4-panel

5. Restarted the panel from the console again:
[vaxon@localhost ~]$ xfce4-panel &
[2] 2859
libpager-Message: Setting the pager rows returned false. Maybe the setting is not applied.
(xfce4-mixer-plugin:2860): xfce4-mixer-plugin-DEBUG: mixer_plugin->track_label = 'Master'

The workspace switcher shows 2 rows now.

So after setting the number of rows you'd need to re-login (or restart the panel any other way) to see the change.

Thanks,
Val.

Comment 4 Kevin Fenzi 2011-08-11 14:54:28 UTC
I'm not sure of the status. Looks like the gnome bug is closed. 

I guess I would suggest explaining what you see to the upstream Xfce bug and ask them if it can be fixed, or if it's not possible due to the gnome bug? 

Or if you like I can try and do so, but you may be able better to explain the issue than I just passing it on. ;)

Comment 5 vaxon 2011-08-11 23:49:30 UTC
(In reply to comment #4)
> I'm not sure of the status. Looks like the gnome bug is closed. 
> 
> I guess I would suggest explaining what you see to the upstream Xfce bug and
> ask them if it can be fixed, or if it's not possible due to the gnome bug? 
> 
> Or if you like I can try and do so, but you may be able better to explain the
> issue than I just passing it on. ;)

OK, thanks, I'll probably post to the Xfce upstream bug later.

Thanks,
Val.

Comment 6 Kevin Fenzi 2011-11-24 18:42:03 UTC
*** Bug 756563 has been marked as a duplicate of this bug. ***

Comment 7 Nathan 2012-07-21 20:51:32 UTC
I hope this is helpful; though it may be a stretch.

I'm on Debian 6 using Xfce 4.8 from backports.  I rebooted this system for the first time today.  Afterwards, I was unable to use keyboard shortcuts for shifting up/down in my two-row workspace layout.

DID fix it:  changing to Miniature view and back.
Did NOT fix it:
 - changing the shortcut in Window Manager settings
 - changing to 1 row and then back to 2
 - changing settings on Window Manager Tweaks > workspaces

I didn't think to try toggling to miniature view and back, until I found this bug report; so to me, this seems like another case of rows being ignored and linking it to the applet view type.

Comment 8 Fedora End Of Life 2012-08-07 19:55:06 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 David Kovalsky 2012-08-20 14:17:42 UTC
xfce4-panel-4.8.6-3.fc16.x86_64

still valid for F16

Comment 10 Fedora End Of Life 2013-01-16 23:00:34 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 David Kovalsky 2013-01-17 09:58:51 UTC
Still valid for F17, latest and greatest updates as of today

Comment 12 Jan "Yenya" Kasprzak 2013-01-18 13:48:01 UTC
Also for F18: xfce4-panel-4.10.0-2.fc18.x86_64

I have dual-head setup, and a separate panel near the bottom of each screen, each panel with its own pager (this is for convenience only, each pager shows both heads). Pagers are set up as 3x3 virtual desktops.

When I log in, one of the pager is displayed as expected, and the other one has only one row of virtual desktops (i.e. 1x9 instead of 3x3). Right-clicking on the pager and selecting Properties make it immediately switch to 3x3 layout - I don't need to toggle miniature view off and back on, as described in comment #7.

Comment 13 Christoph Wickert 2013-02-17 11:38:59 UTC
(In reply to comment #12)
> Right-clicking on the pager and selecting Properties make it immediately
> switch to 3x3 layout - I don't need to toggle miniature view off and back
> on, as described in comment #7.

This is a different bug then. Can anybody please confirm they please have to restart the panel after changing the number of rows? If so, what versions are you using?

I am running a dual screen setup, too (although only mirrored) and I am not able to reproduce the problem anywhere.

Comment 14 Jan "Yenya" Kasprzak 2013-02-20 10:24:06 UTC
I have tried to change the number of rows (my setup is described in comment #12). For the pager on the primary head, it immediately changed the number of rows (I have tried 3->2 and 3->4 rows, I have 9 workspaces). The pager on the secondary head does nothing and still has the 3x3 virtual desktops layout.

I have not tried to restart the panel, though.

I use [right click on the pager] -> Properties -> Number of rows: [3]
to change the number of rows.

Comment 15 Fedora End Of Life 2013-12-21 14:56:43 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Jan "Yenya" Kasprzak 2014-01-02 12:13:17 UTC
Still present in F19: xfce4-panel-4.10.1-3.fc19.x86_64,
the same behaviour as described in comment #12.

Comment 17 Fedora End Of Life 2015-01-09 21:51:53 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Jan "Yenya" Kasprzak 2015-01-09 22:10:10 UTC
Still present in F20.

Comment 19 Fedora End Of Life 2015-05-29 08:39:52 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2015-06-30 00:33:59 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.